Subject: bug#12125: closed (Re: bug#12125: emacsclient should work like "emacsclient -t" when $DISPLAY is not set)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Sep 2012 16:02:02 +0000

Your bug report

#12125: emacsclient should work like "emacsclient -t" when $DISPLAY is not set

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12125: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12125
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12125: emacsclient should work like "emacsclient -t" when $DISPLAY is not set
From: Dan Nicolaescu <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Sep 2012 12:00:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Chong Yidong <[email-masked]> writes:

> Dan Nicolaescu <[email-masked]> writes:
>
>> When connecting to a host which runs "emacs --daemon" with "ssh -x"
>> (so $DISPLAY is not set)
>>
>> $ emacsclient FILENAME 
>>
>> says "Waiting for Emacs..." and does not open any frame.
>>
>> It should instead work like "emacsclient -t FILENAME" and open a
>> terminal frame.
>
> Hmm, according to the code in emacsclient.c, emacsclient should already
> do the right thing when DISPLAY is not set.  And I verified this by
> doing 
>
> $ export DISPLAY=""
> $ emacsclient -c FILENAME
>
> => FILENAME is opened in the terminal.

Thanks. I get the same too, I might have had an old emacsclient in my path, so
closing this bug.

Subject: emacsclient should work like "emacsclient -t" when $DISPLAY is not set
From: Dan Nicolaescu <[email-masked]>
To: [email-masked]
Date: Thu, 02 Aug 2012 16:40:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When connecting to a host which runs "emacs --daemon"  with "ssh -x" (so $DISPLAY is not set)

$ emacsclient FILENAME 

says "Waiting for Emacs..." and does not open any frame.

It should instead work like "emacsclient -t FILENAME" and open a
terminal frame.

         --dan